# Symphonia PCM Codec

[![Docs](https://docs.rs/symphonia-codec-pcm/badge.svg)](https://docs.rs/symphonia-codec-pcm)

PCM audio decoders for Project Symphonia.

**Note:** This crate is part of Symphonia. Please use the [`symphonia`](https://crates.io/crates/symphonia) crate instead of this one directly.

## Support

The following PCM encodings are supported:

* Signed 32-bit Little-Endian Interleaved
* Signed 24-bit Little-Endian Interleaved
* Signed 16-bit Little-Endian Interleaved
* Signed 8-bit Interleaved
* Signed 32-bit Big-Endian Interleaved
* Signed 24-bit Big-Endian Interleaved
* Signed 16-bit Big-Endian Interleaved
* Unsigned 32-bit Little-Endian Interleaved
* Unsigned 24-bit Little-Endian Interleaved
* Unsigned 16-bit Little-Endian Interleaved
* Unsigned 8-bit Interleaved
* Unsigned 32-bit Big-Endian Interleaved
* Unsigned 24-bit Big-Endian Interleaved
* Unsigned 16-bit Big-Endian Interleaved
* 32-bit Little-Endian Floating Point Interleaved
* 64-bit Little-Endian Floating Point Interleaved
* 32-bit Big-Endian Floating Point Interleaved
* 64-bit Big-Endian Floating Point Interleaved
* A-law
* Mu-law

## License

Symphonia is provided under the MPL v2.0 license. Please refer to the LICENSE file for more details.

## Contributing

Symphonia is an open-source project and contributions are very welcome! If you would like to make a large contribution, please raise an issue ahead of time to make sure your efforts fit into the project goals, and that no duplication of efforts occurs.

All contributors will be credited within the CONTRIBUTORS file.
